Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.function.valuesource
Class NumDocsValueSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.NumDocsValueSource

    public class NumDocsValueSource

extends ValueSource

Returns the value of `IndexReader.numDocs()` for every document. This is the number of documents excluding deletions.

Constructor Summary
`NumDocsValueSource()`

Method Summary
`String` | `description()` description of field, used in explain()
`boolean` | `equals(Object o)`
`FunctionValues` | `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` | `hashCode()`
`String` | `name()`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumDocsValueSource

    public NumDocsValueSource()

Method Detail

### name

    public String name()

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.